{
  "custom": {},
  "events": {
    "system": {
      "onStartup": {
        "config": {
          "script": "\tdef returnSingleView(eqPath):\n\t\tobj \u003d {\n\t\t\t\"viewPath\": \"Page/Widgets/Charts/Line Production Goal\",\n\t\t\t\"viewParams\": {\n\t\t\t  \"equipmentPath\": eqPath\n\t\t\t},\n\t\t\t\"direction\": \"row\",\n\t\t\t\"justify\": \"flex-start\",\n\t\t\t\"alignItems\": \"flex-start\"\n\t\t  }\n\t\treturn obj\n\t\t\t  \t\n\tallViews \u003d []\n\tfilter \u003d system.mes.object.filter.createFilter()\n\tfilter.setEnableStateName(\u0027ENABLED\u0027)\n\tfilter.setMESObjectTypeName(\u0027Line\u0027)\n\tlist \u003d system.mes.searchMESObjects(filter)\n\tfor line in list:\n\t\tallViews.append(returnSingleView(line.getMESObject().getEquipmentPath()))\n\tself.getChild(\"root\").getChild(\"Carousel\").props.views \u003d allViews"
        },
        "scope": "G",
        "type": "script"
      }
    }
  },
  "params": {},
  "props": {
    "defaultSize": {
      "width": 827
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "Carousel"
        },
        "position": {
          "basis": "200px",
          "grow": 1
        },
        "props": {
          "appearance": {
            "arrows": {
              "enabled": false
            },
            "dots": {
              "enabled": false
            },
            "slidePadding": 0
          },
          "autoplay": {
            "enabled": true,
            "pauseOnHover": true,
            "transitionDelay": 30000
          },
          "style": {
            "overflow": "hidden"
          },
          "views": [
            {
              "alignItems": "flex-start",
              "direction": "row",
              "justify": "flex-start",
              "viewParams": {
                "equipmentPath": "New Enterprise\\Site 1\\Simulation Area\\Simulation Line"
              },
              "viewPath": "Page/Widgets/Charts/Line Production Goal"
            }
          ]
        },
        "type": "ia.display.carousel"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column",
      "style": {
        "overflow": "hidden"
      }
    },
    "type": "ia.container.flex"
  }
}